package com.ssj.service.conch.conch.padrequest;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 10:00 2019/11/8
 * @Modified By
 */
public class PadUploadPictureRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String  vipId;

    @ApiModelProperty(name = "fileKeys", value = "文件名称", required = true)
    private String  fileKeys;

    @ApiModelProperty(name = "uploadType", value = "作业(HOMEWORK),难题(PROBLEM),小时光(SMARTTIME)", required = true)
    private String  uploadType;

    @ApiModelProperty(name = "derverFileId", value = "设备图片唯一Id", required = true)
    private String  derverFileId;

    @ApiModelProperty(name = "courseName", value = "科目", required = false)
    private String  courseName;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getFileKeys() {
        return fileKeys;
    }

    public void setFileKeys(String fileKeys) {
        this.fileKeys = fileKeys;
    }

    public String getUploadType() {
        return uploadType;
    }

    public void setUploadType(String uploadType) {
        this.uploadType = uploadType;
    }

    public String getDerverFileId() {
        return derverFileId;
    }

    public void setDerverFileId(String derverFileId) {
        this.derverFileId = derverFileId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
}
